# ppmrelief

Updated: 02 August 2014
Table Of Contents

## NAME

ppmrelief - compute a relief of a PPM image

## SYNOPSIS

ppmrelief [ppmfile]

## DESCRIPTION

This program is part of Netpbm.

ppmrelief reads a PPM image as input, and writes a relief of that image as a PPM image as output.

The relief process is described in "Beyond Photography" by Holzmann, equation 3.19. It's a sort of edge-detection and is essentially a convolution with this matrix:

        |  1  0  0 |
        |  0  0  0 |
        |  0  0 -1 |

## OPTIONS

There are no command line options defined specifically for ppmrelief, but it recognizes the options common to all programs based on libnetpbm (See Common Options.)

## SEE ALSO

pamshadedrelief, pgmbentley, pgmoil, ppm

## AUTHOR

Copyright (C) 1990 by Wilson Bent (whb@hoh-2.att.com)

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR